Subject: Re: [PATCH 12/13] git-remote-testgit: only push for non-local repositories

From: Jonathan Nieder <[email-masked]>
Date: Sun, 29 Aug 2010 20:48:21 -0500

Sverre Rabbelier wrote:
> Trying to push for local repositories will fail since there is no
> local checkout in .git/info/... to push from.
> 
> This went unnoticed because the transport helper infrastructure did
> not check the return value of the helper.
> ---
> 
>   I guess it also shows how many people look at the verbose output of
>   the helper test suite ;-).
[...]
> +++ b/git-remote-testgit.py
> @@ -160,7 +160,9 @@ def do_export(repo, args):
>  
>      update_local_repo(repo)
>      repo.importer.do_import(repo.gitdir)
> -    repo.non_local.push(repo.gitdir)
> +
> +    if not repo.local:
> +        repo.non_local.push(repo.gitdir)

[warning: I have not read through remote-testgit carefully]

Could you explain further?  I see

 ERROR: could not find repo at .git/info/fast-import/4dc49bf026b65e6a1b28e2457d4d6393af8d382c/.git

but I do not know why there should have been a repo there, or why we would
not want to do the equivalent of

 git push . refs/testgit/origin/refs/heads/master:refs/heads/master